%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_version: %global python_version %(%{__python} -c "from distutils.sysconfig import get_python_version; print get_python_version()")}
%global debug_package %{nil}
%global srcname timer-applet

Name:           gnome-applet-timer
Version:        2.1.4
Release:        1%{?dist}
Summary:        A countdown timer applet for the GNOME panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            https://launchpad.net/timer-applet
Source0:        http://launchpad.net/%{srcname}/2.1.x/%{version}/+download/%{srcname}-%{version}.tar.gz
# update default sounds for the recent freedesktop sound themes
Patch1:         gnome-applet-timer-2.1.2-sound-theme-freedesktop-0.2.patch
Patch2:         gnome-applet-timer-2.1.2-sound-theme-freedesktop-0.7.patch
# fix for https://bugzilla.redhat.com/show_bug.cgi?id=553757
# When gtk fails to start, die gracefully
Patch3:         gnome-applet-timer-2.1.3-gtk-runtimerror.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel >= 2.4
BuildRequires:  GConf2
BuildRequires:  intltool, perl(XML::Parser)
Requires:       pygtk2-libglade >= 2.10
Requires:       gnome-python2-applet >= 2.16
Requires:       notify-python >= 0.1
Requires:       dbus-python >= 0.80
Requires:       gstreamer-python
%if 0%{?fedora} >= 10
Requires:       sound-theme-freedesktop
%else
Requires:       gnome-audio
%endif

%if "%{python_version}" < "2.5"
Requires:       python-elementtree
%endif

Provides:       %{srcname} = %{version}
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2
Requires(postun): scrollkeeper

%description
Timer Applet is a countdown timer applet for the GNOME panel. Highlights:
* Run multiple Timer Applets simultaneously to have different timers
* Quickly set a time and the applet will notify you when time's up
* Create presets for quick access to frequently-used times
* Small and unobtrusive. Choose to either view the remaining time right in the 
  panel or hide it so you don't get distracted by the countdown.


%prep
%setup -q -n %{srcname}
%if 0%{?fedora} == 11
%patch1 -p1 -b .freedesktop-0.2
%endif
%if 0%{?fedora} >= 12
%patch2 -p1 -b .freedesktop-0.7
%endif
%patch3 -b .gtk-runtimeerror


%build
%configure --disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{srcname}


%clean
rm -rf $RPM_BUILD_ROOT


%pre
%gconf_schema_prepare %{srcname}


%post
%gconf_schema_upgrade %{srcname}

%if 0%{?rhel}
scrollkeeper-update -q -o %{_datadir}/omf/timer-applet || :
%endif


%preun
%gconf_schema_remove %{srcname}

%if 0%{?rhel}
%postun
scrollkeeper-update -q || :
%endif


%files -f %{srcname}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_sysconfdir}/gconf/schemas/%{srcname}.schemas
%{_libdir}/bonobo/servers/TimerApplet.server
%dir %{_libdir}/%{srcname}
%{_libdir}/%{srcname}/%{srcname}
%{_datadir}/pixmaps/%{srcname}.png
%{_datadir}/%{srcname}/
%{python_sitelib}/timerapplet/


%changelog
* Sat Sep 18 2010 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.4-1
- Update to 2.1.4

* Sat Jul 09 2010 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.3-1
- Update to 2.1.3 (first version by new maintainer)
- Adjust URL and Source0 location
- Drop fix-assignment.patch, already upstream
- Add new ChangeLog and README
- Update GConf scriptlets
- Only run scrollkeeper scriptlets on RHEL/EPEL

* Sun Jun 20 2010 Thomas Spura <tomspur@fedoraproject.org> 2.1.2-7
- Gracefully exit when there is no X

* Mon Nov 23 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.2-6
- Fix assignment when default sound is not found (#531877)

* Fri Oct 30 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.2-5
- Use default sound form sound-theme-freedesktop (#531877)

* Thu Oct 29 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.2-4
- Require gnome-audio (#531877)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 16 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.2-2
- Require gstreamer-python

* Fri Feb 27 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.2-1
- Update to 2.1.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.1-1
- Update to 2.1.1
- Remove stop-pulsing.patch, workaround included by upstream
- BR intltool

* Mon Feb 02 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.1-1
- Update to 2.1

* Mon Jan 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.0.2-9
- Update patch as suggested by Michael Schwendt

* Sun Jan 04 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.0.2-8
- Use Paul's patch to fix #471465 properly

* Sun Jan 04 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.0.2-7
- Apply libnotify patch to fix #471465

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.0.1-6
- Rebuild for Python 2.6

* Fri Aug 29 2008 Michael Schwendt <mschwendt@fedoraproject.org> 2.0.1-5
- include %%_libdir/timer-applet directory

* Mon Jul 07 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.0.1-4
- use proper conditional

* Mon Jul 07 2008 Adam Jackson <ajax@redhat.com> 2.0.1-3
- %%fedora is an int, not a string.

* Fri Jun 20 2008 Christoph Wickert <cwickert@fedoraproject.org> - 2.0.1-2
- Disable broken check macro (#449717) temporarily to fix #449485

* Thu Feb 21 2008 Christoph Wickert <cwickert@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.3.3-3
- Autorebuild for GCC 4.3

* Tue Aug 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.3-2
- Rebuild for BuildID feature
- Update license tag

* Sun Apr 15 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.3-1
- Update to 1.3.3.

* Sun Dec 17 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.2-1
- Update to 1.3.2, includes fix for the icon in the notification bubble.

* Tue Oct 31 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1 with libnotify support (#203234).

* Fri Sep 15 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.2-4
- Mass rebuild for Fedora Core 6.
- BuildRequire perl(XML::Parser).

* Wed Feb 15 2006 Christoph Wickert <fedora wickert at arcor de> - 1.2-3
- Rebuild for Fedora Extras 5.

* Thu Dec 15 2005 Christoph Wickert <fedora wickert at arcor de> - 1.2-2
- Bump release due to tag collision in Core 4.

* Thu Dec 15 2005 Christoph Wickert <fedora wickert at arcor de> - 1.2-1
- Update to 1.2.
- Remove all specfile hacks, problems are fixed upstream.

* Thu Sep 22 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-9
- Increase release due to tag collision.

* Mon Sep 19 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-8
- Minor Specfile Changes.

* Sun Sep 18 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-7
- removed all patches and use Toshi's specfile hacks instead. (#168032)

* Sun Sep 18 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-6
- removed omf file install specfile hack.

* Sun Sep 18 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-5
- added timer-applet-libexec.patch by Toshio Kuratomi (#168032)
- modified timer-applet-docinstall.patch: replaced *.old with *.docinstall
- modified specfile to install omf file.

* Sat Sep 17 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-4
- added timer-applet-docinstall.patch by Toshio Kuratomi (#168032)

* Fri Sep 16 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-3
- Renamed package from gnome-timer-applet to gnome-applet-timer according to 
  Fedora Extras package naming guidelines.
- Minor Specfile Changes: Added scrollkeeper requirements and snipplets

* Sat Sep 10 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-2
- Renamed package from timer-applet to gnome-timer-applet according to Fedora
  Extras package naming guidelines.
- Several fixes for FE (version etc).
- Cleaned up Specfile.

* Fri Aug 19 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-1.fc4.cw
- Updated to version 1.1.1.
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <wickerpms at arcor.de> - 1.0-2.fc3.cw
- Rebuild to fit to repos naming conventions.

* Sun Apr 03 2005 Christoph Wickert <wickerpms at arcor.de> - 1.0-fc3_cw.1
- Updated to version 1.0.

* Thu Mar 24 2005 Christoph Wickert <wickerpms at arcor.de> - 0.9-fc3_cw.1
- Updated to version 0.9.

* Mon Mar 21 2005 Christoph Wickert <wickerpms at arcor.de> - 0.8-fc3_cw.1
- Initial RPM release.
